Loading...
Searching...
No Matches
Dune::TypeTree::Concept Namespace Reference

## Concepts

concept | TreeNode
| Model of a node of a typetree.
concept | StaticDegreeInnerTreeNode
| Model of an inner node of a typetree with compile time known degree and child access via index_constant.
concept | UniformInnerTreeNode
| Model of an inner node of a typetree with uniform nodes accessible via runtime index.
concept | InnerTreeNode
| Model of an inner tree node of a typetree (either static degree or uniform).
concept | LeafTreeNode
| Model of a leaf tree node of a typetree.